---
title: "I did it, and you can't too!"
date: "2024-08-09"
summary: "Going from my first line of code to my first job in 7 months."
---

"Become job ready in 6 months". "Learn to code in 90 days". If you've heard statements like this from various tech influencers, you're not alone. That seems to be the selling point lately - how to go from 0 to job ready as fast as possible. I actually did it - I went from my first `<h1>` element to my first job in 7 months. And I'm here to say: you can't too.

I suppose I should clarify that. Moving through your learning journey as quickly as I did, or as quickly as all of these YouTube stars promise, takes a large mix of "the right circumstances" and "a metric shit-ton of luck". Hmm... maybe it would be better if I just told my story.

It was April 2020. I was working my grocery retail management job. SARS-CoV-2 was just becoming a pandemic. And my employer wanted to change my job location to one halfway across town. Now, I didn't own a car at that time (still don't, tbh). And with a pandemic, I certainly wasn't going to take public transit and further risk exposure to myself and my family. So I said "screw it, I quit".

> 💼 I no longer had a job, or any of the responsibilities that came with it.

I sat around and played video games for about two weeks before I was bored out of my mind. I needed a hobby desperately, so I decided to look up free resources on learning to code. I found freeCodeCamp, and threw myself hard into the curriculum.

Now, I had cashed out my accrued PTO when I quit. I had withdrawn my pension (through an economic hardship withdrawal). And I had won an unemployment claim. So I was in a position where I could afford to be jobless for a while. I also had no other responsibilities; no children, no partner, it was just me myself and my computer.

> 💻 I had the time and capacity to spend 10-12 hours every day on the freeCodeCamp curriculum.

At that pace, I completed (what was, at the time) the entire core freeCodeCamp curriculum in 5 months. I was also working on my own personal projects, such as a portfolio site and a moderation bot for Discord. None of that was making me money. I was doing okay - my reserves hadn't dried up. But I also knew taking on more expenses was a bad idea. So I couldn't donate financially to freeCodeCamp.

I still wanted to give back, so I donated the one thing I had an abundance of now: time. freeCodeCamp's entire learning platform is open source, and I started making contributions in tandem with working on my own projects. I did this consistently, at the same 10-12 hour a day pace, for another 2 months, until...

> 💸 Quincy reached out directly and offered me a role on the paid staff team.

And that was it. In 7 months, I had gone from knowing nothing about code to my first developer role. I share this story not to brag, but to caution. Because what I want you to take away from this is. While I did work hard and seriously apply myself...

- I had the capacity to devote my entire schedule to my studies
- I had the funds to be able to study instead of working
- I was in the right place at the right time to receive a job offer

And this is not a common situation. Many people cannot afford to stop working. Most of the learners I run in to are doing so around an already busy schedule. They have maybe 4 hours a week to study, not 12 hours a day. If you're one of those people, of course it's going to take you longer. And that's okay!

> 🏃‍♀ This is a marathon, not a sprint.

Learning to code is hard. It takes time. Very few people pull it off in six months. Some take a year. Some take 4 years. Some take longer. It doesn't matter how long you take - if you keep at it and stay committed, you will succeed. And that's what really matters... reaching your goals, regardless of when!

> 💡 So don't feel bad if it takes you longer than 6 months. The circumstances have to be just right for that to even be possible.